## `<w-pagination>` API

Unless otherwise noted all properties are HTML attributes (as opposed to JavaScript object properties).

### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| base-url | `string \| undefined` | `-` | The base URL used to construct page links, for example `/search?page=`. |
| current-page | `number` | `1` | The currently active page number. |
| pages | `number` | `0` | The total number of pages. |
| visible-pages | `number` | `7` | The maximum number of page numbers visible. |

### Property Details

#### base-url

The base URL used to construct page links, for example `/search?page=`.

The page number is appended to this URL.

- Type: `string | undefined`
- Default: `-`

#### current-page

The currently active page number.

- Type: `number`
- Default: `1`

#### pages

The total number of pages.

- Type: `number`
- Default: `0`

#### visible-pages

The maximum number of page numbers visible.

- Type: `number`
- Default: `7`

### Events

#### page-click

Triggered when a link in the pagination is clicked. Contains the page number in `string` form.

- Type: `CustomEvent`


